Daemon Power

The NetBSD Packages Collection: meta-pkgs/boost

Brief description of the package:
Free, peer-reviewed portable C++ source libraries

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://www.boost.org/.

The package is located in the "meta-pkgs/boost" directory. The current source version of the package is "boost-1.73.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for meta-pkgs/boost :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: boost-build-1.73{,nb*,.*} cwrappers>=20150314 boost-docs-1.73{,nb*,.*} boost-headers-1.73{,nb*,.*} boost-jam-1.73.* boost-jam-1.73{,nb*,.*} boost-libs-1.73{,nb*,.*} icu>=3.4 icu>=67.1 boost-mpi-1.73{,nb*,.*} boost-libs-1.73.* mpich>=3 bash-[0-9]* perl>=5.0 hwloc>=1.4 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb2 x11-links>=1.31 osabi-NetBSD-9.0_STABLE openpa>=1.0.1 hwloc>=1.11.13nb1 boost-headers-1.73.* py37-boost-1.73{,nb*,.*} python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python37>=3.7.0 py37-numpy>=1.0 py37-setuptools-[0-9]* py37-expat-[0-9]* python37>=3.7.9 gcc7>=3.0 gsed>=3.0.2 py37-cython>=0.29.21 py37-cython>=0.12.1 blas>=1.0nb2 gcc7>=7.0 lapack>=3.1.1 blas>=1.0nb3 .

This package requires the following package(s) to run: boost-build-1.73{,nb*,.*} boost-docs-1.73{,nb*,.*} boost-headers-1.73{,nb*,.*} boost-jam-1.73{,nb*,.*} boost-libs-1.73{,nb*,.*} icu>=3.4 icu>=67.1 boost-mpi-1.73{,nb*,.*} boost-libs-1.73.* mpich>=3 bash-[0-9]* perl>=5.0 hwloc>=1.4 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb2 openpa>=1.0.1 hwloc>=1.11.13nb1 py37-boost-1.73{,nb*,.*} python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python37>=3.7.0 py37-numpy>=1.0 py37-setuptools-[0-9]* py37-expat-[0-9]* python37>=3.7.9 gcc7>=3.0 gsed>=3.0.2 py37-cython>=0.29.21 py37-cython>=0.12.1 blas>=1.0nb2 gcc7>=7.0 lapack>=3.1.1 blas>=1.0nb3 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:boost-1.73.0.tgz(NetBSD 9.0)
aarch64:boost-1.72.0.tgz(NetBSD 9.0)
earm:boost-1.59.0nb1.tgz(NetBSD 7.0)
i386:boost-1.72.0.tgz(NetBSD 9.0)
i386:boost-1.71.0.tgz(NetBSD 7.0)
i386:boost-1.71.0.tgz(NetBSD 7.0)
i386:boost-1.71.0.tgz(NetBSD 7.1)
i386:boost-1.71.0.tgz(NetBSD 7.1)
i386:boost-1.72.0.tgz(NetBSD 7.1)
i386:boost-1.73.0.tgz(NetBSD 8.0)
i386:boost-1.71.0.tgz(NetBSD 8.0)
i386:boost-1.71.0.tgz(NetBSD 8.0)
i386:boost-1.72.0.tgz(NetBSD 8.0)
i386:boost-1.73.0.tgz(NetBSD 9.0)
i386:boost-1.72.0.tgz(NetBSD 9.0)
powerpc:boost-1.73.0.tgz(NetBSD 8.0)
powerpc:boost-1.71.0.tgz(NetBSD 8.0)
powerpc:boost-1.73.0.tgz(NetBSD 9.0)
powerpc:boost-1.71.0.tgz(NetBSD 9.0)
sparc64:boost-1.71.0.tgz(NetBSD 8.0)
sparc64:boost-1.71.0.tgz(NetBSD 9.0)
x86_64:boost-1.67.0.tgz(Linux 4.15.0)
x86_64:boost-1.73.0.tgz(NetBSD 9.0)
x86_64:boost-1.73.0.tgz(NetBSD 9.0)
x86_64:boost-1.73.0.tgz(NetBSD 9.0)
x86_64:boost-1.71.0.tgz(NetBSD 7.0)
x86_64:boost-1.71.0.tgz(NetBSD 7.0)
x86_64:boost-1.71.0.tgz(NetBSD 7.1)
x86_64:boost-1.71.0.tgz(NetBSD 7.1)
x86_64:boost-1.72.0.tgz(NetBSD 7.1)
x86_64:boost-1.72.0.tgz(NetBSD 8.0)
x86_64:boost-1.71.0.tgz(NetBSD 8.0)
x86_64:boost-1.71.0.tgz(NetBSD 8.0)
x86_64:boost-1.73.0.tgz(NetBSD 8.0)
x86_64:boost-1.73.0.tgz(NetBSD 9.0)
x86_64:boost-1.71.0.tgz(NetBSD 9.0)
x86_64:boost-1.72.0.tgz(NetBSD 9.0)
x86_64:boost-1.73.0.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]